Name:           grib_api
Version:        1.9.9
Release:        2%{?dist}
Summary:        WMO FM-92 GRIB (v1,v2) interface accessible from C and FORTRAN programs

Group:          Applications/System
License:        LGPLv3
URL:            http://www.ecmwf.int/products/data/software/grib_api.html
Source0:        http://www.ecmwf.int/products/data/software/download/software_files/%{name}-%{version}.tar.gz
Patch0:         grib_api-paths.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  jasper-devel

%description
The ECMWF GRIB API is an application program interface accessible from C
and FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB
edition 1 and edition 2 messages. A useful set of command line tools is
also provided to give quick access to grib messages.

%package devel
Summary:    GRIB API development headers
Group:      Development/Languages
Requires:   %{name} = %{version}-%{release}
Requires:   %{name}-static = %{version}-%{release}

%description devel
Header files and libraries for building a extension library

%package static
Summary:    GRIB API static libraries
Group:      Applications/System
Requires:   %{name} = %{version}-%{release}
Requires:   %{name}-devel = %{version}-%{release}

%description static
Static libraries for %{name}

%prep
%setup -q
%patch0 -p1 -b .paths
# Fix ksh patch
sed -i -e 's,/usr/bin/ksh,/bin/ksh,' tools/grib1to2.txt


%build
%ifarch x86_64
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
%endif
%{configure} --with-ifs-samples=%{_datadir}/%{name}/ifs_samples
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

for file in `find %{buildroot}/%{_datadir}/%{name}/definitions/`; do
    iconv -f ISO88591 -t utf-8 $file > $file.new && mv $file.new $file || rm -f $file.new
done

# Move %{_bindir}/parser because it conflicts with coda-client
mv %{buildroot}/%{_bindir}/parser %{buildroot}/%{_bindir}/grib-parser

# Give these files some normal permissions
chmod 644 INSTALL README LICENSE COPYING.LESSER ChangeLog AUTHORS gpl-3.0.txt

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc INSTALL README LICENSE COPYING.LESSER ChangeLog AUTHORS gpl-3.0.txt
%doc %{_datadir}/%{name}/
%{_bindir}/*

%files devel
%defattr(-,root,root,-)
%doc INSTALL README LICENSE COPYING.LESSER ChangeLog AUTHORS gpl-3.0.txt
%{_includedir}/*

%files static
%defattr(-,root,root,-)
%doc INSTALL README LICENSE COPYING.LESSER ChangeLog AUTHORS gpl-3.0.txt
%{_libdir}/*.a

%changelog
* Sat Jan 14 2012 Orion Poplawski <orion@cora.nwra.com> - 1.9.9-2
- Fix ksh path

* Fri Jan 13 2012 Orion Poplawski <orion@cora.nwra.com> - 1.9.9-1
- Update to 1.9.9
- Fix directory ownership

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Feb 15 2010 Orion Poplawski <orion@cora.nwra.com> - 1.7.0-5
- Compile with -fPIC on x86_64 (bug #561914)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Apr 04 2009 Jeroen van Meeuwen <j.van.meeuwen@ogd.nl> - 1.7.0-3
- Fix file conflict (#492936)

* Tue Mar 17 2009 Jeroen van Meeuwen <j.van.meeuwen@ogd.nl> - 1.7.0-1
- New upstream version

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Dec  3 2008 Patrice Dumas <pertusus@free.fr> 1.6.4-1
- update to 1.6.4

* Tue Sep 30 2008 Patrice Dumas <pertusus@free.fr> 1.6.1-1
- update to 1.6.1

* Sat Feb 23 2008 Patrice Dumas <pertusus@free.fr> 1.4.0-1
- update to 1.4.0

* Sat Dec 29 2007 Patrice Dumas <pertusus@free.fr> 1.3.0-1
- initial release
